> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nebius.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Iteration History

> Get transfer iteration history.



## OpenAPI

````yaml https://api.nebius.cloud/openapi.json get /storage/v1/transfers/get-iteration-history
openapi: 3.0.3
info:
  title: Nebius API
  version: version not set
servers:
  - url: https://api.nebius.cloud
security:
  - bearerAuth: []
tags:
  - name: nebius.ai.v1.EndpointService
  - name: nebius.ai.v1.JobService
  - name: nebius.applications.v1alpha1.K8sReleaseService
  - name: nebius.audit.v2.AuditEventExportService
  - name: nebius.audit.v2.AuditEventService
  - name: nebius.billing.v1.CalculatorService
  - name: nebius.billing.v1alpha1.CalculatorService
  - name: nebius.billing.v1alpha1.OneTimeExportService
  - name: nebius.capacity.v1.CapacityAllowanceService
  - name: nebius.capacity.v1.CapacityBlockGroupService
  - name: nebius.capacity.v1.CapacityIntervalService
  - name: nebius.capacity.v1.ResourceAdviceService
  - name: nebius.compute.v1.DiskService
  - name: nebius.compute.v1.DiskSnapshotService
  - name: nebius.compute.v1.FilesystemService
  - name: nebius.compute.v1.GpuClusterService
  - name: nebius.compute.v1.ImageService
  - name: nebius.compute.v1.InstanceService
  - name: nebius.compute.v1.MaintenanceService
  - name: nebius.compute.v1.NVLInstanceGroupService
  - name: nebius.compute.v1.NodeService
  - name: nebius.compute.v1.PlatformService
  - name: nebius.dns.v1.RecordService
  - name: nebius.dns.v1.ZoneService
  - name: nebius.iam.v1.AccessKeyService
  - name: nebius.iam.v1.AccessPermitService
  - name: nebius.iam.v1.AuthPublicKeyService
  - name: nebius.iam.v1.FederatedCredentialsService
  - name: nebius.iam.v1.FederationCertificateService
  - name: nebius.iam.v1.FederationService
  - name: nebius.iam.v1.GroupMembershipService
  - name: nebius.iam.v1.GroupService
  - name: nebius.iam.v1.InvitationService
  - name: nebius.iam.v1.ProfileService
  - name: nebius.iam.v1.ProjectService
  - name: nebius.iam.v1.ServiceAccountService
  - name: nebius.iam.v1.SessionManagementService
  - name: nebius.iam.v1.StaticKeyService
  - name: nebius.iam.v1.TenantService
  - name: nebius.iam.v1.TenantUserAccountService
  - name: nebius.iam.v1.TenantUserAccountWithAttributesService
  - name: nebius.iam.v2.AccessKeyService
  - name: nebius.iam.v2.ProjectService
  - name: nebius.iam.v2.TenantService
  - name: nebius.kms.v1.AsymmetricCryptoService
  - name: nebius.kms.v1.AsymmetricKeyService
  - name: nebius.kms.v1.SymmetricCryptoService
  - name: nebius.kms.v1.SymmetricKeyService
  - name: nebius.logging.agentmanager.v1.VersionService
  - name: nebius.logging.v1.LogExportService
  - name: nebius.maintenance.v1alpha1.MaintenanceService
  - name: nebius.mk8s.v1.ClusterService
  - name: nebius.mk8s.v1.NodeGroupService
  - name: nebius.mk8s.v1alpha1.ClusterService
  - name: nebius.mk8s.v1alpha1.NodeGroupService
  - name: nebius.msp.mlflow.v1alpha1.ClusterService
  - name: nebius.msp.postgresql.v1alpha1.BackupService
  - name: nebius.msp.postgresql.v1alpha1.ClusterService
  - name: nebius.mysterybox.v1.PayloadService
  - name: nebius.mysterybox.v1.SecretService
  - name: nebius.mysterybox.v1.SecretVersionService
  - name: nebius.quotas.v1.QuotaAllowanceService
  - name: nebius.registry.v1.ArtifactService
  - name: nebius.registry.v1.RegistryService
  - name: nebius.storage.v1.BucketService
  - name: nebius.storage.v1.TransferService
  - name: nebius.storage.v1alpha1.TransferService
  - name: nebius.tunnel.v1.TunnelService
  - name: nebius.vpc.v1.AllocationService
  - name: nebius.vpc.v1.NetworkService
  - name: nebius.vpc.v1.PoolService
  - name: nebius.vpc.v1.RouteService
  - name: nebius.vpc.v1.RouteTableService
  - name: nebius.vpc.v1.SecurityGroupService
  - name: nebius.vpc.v1.SecurityRuleService
  - name: nebius.vpc.v1.SubnetService
  - name: nebius.vpc.v1.TargetGroupService
  - name: nebius.vpc.v1alpha1.AllocationService
  - name: nebius.vpc.v1alpha1.NetworkService
  - name: nebius.vpc.v1alpha1.PoolService
  - name: nebius.vpc.v1alpha1.ScopeService
  - name: nebius.vpc.v1alpha1.SubnetService
paths:
  /storage/v1/transfers/get-iteration-history:
    get:
      tags:
        - nebius.storage.v1.TransferService
      summary: Get Iteration History
      description: Get transfer iteration history.
      operationId: TransferService_GetIterationHistory
      parameters:
        - description: ID of the transfer whose iteration history to return.
          in: query
          name: transferId
          required: true
          schema:
            type: string
        - description: Specifies the maximum number of items to return in the response.
          in: query
          name: pageSize
          schema:
            format: int64
            type: string
        - description: >-
            Token for pagination, allowing the retrieval of the next set of
            results.
          in: query
          name: pageToken
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/storageV1GetIterationHistoryResponse'
          description: A successful response.
components:
  schemas:
    storageV1GetIterationHistoryResponse:
      properties:
        iterations:
          description: List of transfer iterations sorted from newest to oldest.
          items:
            $ref: '#/components/schemas/storageV1TransferIteration'
          type: array
        nextPageToken:
          description: >-
            Token for pagination, indicating the next set of results can be
            retrieved using this token.
          type: string
      type: object
    storageV1TransferIteration:
      properties:
        averageThroughputBytes:
          description: Average throughput in bytes per second during the iteration.
          format: int64
          type: string
        endTime:
          description: Iteration end time.
          format: date-time
          type: string
        error:
          $ref: '#/components/schemas/v1TransferError'
        objectsDeletedCount:
          description: >-
            Number of objects deleted from destination bucket during this
            iteration.
          format: int64
          type: string
        objectsTransferredCount:
          description: Number of objects transferred during this iteration.
          format: int64
          type: string
        objectsTransferredSize:
          description: Total size of objects transferred during this iteration.
          format: int64
          type: string
        sequenceNumber:
          description: Sequence number of the iteration in the transfer, starting from 1.
          format: int64
          type: string
        startTime:
          description: Iteration start time.
          format: date-time
          type: string
        state:
          $ref: '#/components/schemas/storageV1TransferIterationState'
      type: object
    v1TransferError:
      properties:
        code:
          description: Error code, usually taken from the endpoint response.
          type: string
        message:
          description: Error message, usually taken from the endpoint response.
          type: string
        origin:
          $ref: '#/components/schemas/TransferErrorOrigin'
      type: object
    storageV1TransferIterationState:
      default: STATE_UNSPECIFIED
      description: Iteration state.
      enum:
        - STATE_UNSPECIFIED
        - IN_PROGRESS
        - COMPLETED
        - INTERRUPTED
        - FAILED
      type: string
    TransferErrorOrigin:
      default: ORIGIN_UNSPECIFIED
      description: |2-
         - SOURCE: Error originated from the source.
         - DESTINATION: Error originated from the destination.
      enum:
        - ORIGIN_UNSPECIFIED
        - SOURCE
        - DESTINATION
      type: string
  securitySchemes:
    bearerAuth:
      description: The Authorization header expects a Bearer token.
      scheme: bearer
      type: http

````